public class ThreadPoolThreadModel implements ThreadModel {
   private ThreadPool pool;

   public ThreadPoolThreadModel() {
      pool = ThreadPoolFactory.createThreadPool();
   }

   public String getName() {
      return "ThreadPool";
   }

   public void runTask(Runnable task) {
      pool.postTaskForExecution(task);
   }
}
